#include "MainWindow.h"

/*
 * Event Table
 */
BEGIN_EVENT_TABLE(MainWindow, wxFrame)
	EVT_MENU(ID_Open, MainWindow::OnOpen)
	EVT_MENU(ID_Quit, MainWindow::OnQuit)
	EVT_MENU(ID_About, MainWindow::OnAbout)
	EVT_SET_FOCUS(MainWindow::OnFocus)
	EVT_PAINT(MainWindow::OnPaint)
	EVT_SIZE(MainWindow::OnSize)
	EVT_SCROLL(MainWindow::OnScroll)
END_EVENT_TABLE()

/*
 * The MainWindow constructor
 */
MainWindow::MainWindow(const wxString& title, const wxPoint& pos, const wxSize& size)
: wxFrame((wxFrame *)NULL, -1, title, pos, size) {
	wxMenu *menuFile = new wxMenu;
	wxMenu *menuHelp = new wxMenu;
	
	menuFile->Append( ID_Open, "&Open" );
	menuFile->AppendSeparator();
	menuFile->Append( ID_Quit, "E&xit" );
	
	menuHelp->Append( ID_About, "&About..." );
	menuHelp->AppendSeparator();
	
	wxMenuBar *menuBar = new wxMenuBar;
	menuBar->Append( menuFile, "&File" );
	menuBar->Append( menuHelp, "&Help" );
	
	SetMenuBar( menuBar );
	
	CreateStatusBar();
	SetStatusText( "Welcome to PC-View" );
}


/*
 * Scroll handler
 */
void MainWindow::OnScroll(wxScrollEvent& event) {
	fprintf(stderr, "Got scroll message.\n");
}

/*
 * Resize handler
 */
void MainWindow::OnSize(wxSizeEvent& event) {
	fprintf(stderr, "Got size message.\n");
}

/*
 * Paint handler
 */
void MainWindow::OnPaint(wxPaintEvent& event) {
	fprintf(stderr, "Got paint message.\n");
}

/*
 * Focus handler
 */
void MainWindow::OnFocus(wxFocusEvent& event) {
	fprintf(stderr, "Got focus.\n");
}

/*
 * Open Click handler
 */
void MainWindow::OnOpen(wxCommandEvent& WXUNUSED(event)) {
	wxMessageBox("This should be the Open folder box",
		"Open Folder", wxOK | wxICON_INFORMATION, this);
}

/*
 * Quit Click handler
 */
void MainWindow::OnQuit(wxCommandEvent& WXUNUSED(event)) {
	Close(TRUE);
}

/*
 * About Click handler
 */
void MainWindow::OnAbout(wxCommandEvent& WXUNUSED(event)) {
	wxMessageBox("PC-View is an GPL imageviewer deleloped for PcIde by Bent Bisballe Jensen",
		"About PC-View", wxOK | wxICON_INFORMATION, this);
}
